<template>
  <div id="menu_main_area" class="layout">
    <div class="row" v-for="i in 5" :key="i">
      <div  class="col-sm menu-item">
        <el-button type="info" class="menu-btn" v-bind:class="{'black':i===1,'red':i===2}">
          <i class="el-icon-delete"></i>
          <div style="margin-top: 10px">item {{i}}1</div>
        </el-button>
      </div>
      <div class="col-sm menu-item menu-item-center">
        <el-button type="warning" class="menu-btn" @click="menuClicked(i)">
          <i class="el-icon-delete"></i>
          <div>item {{i}}2</div>
        </el-button>
      </div>
      <div class="col-sm menu-item">
        <el-button type="danger" class="menu-btn">
          <i class="el-icon-delete"></i>
          <div>item {{i}}3</div>
        </el-button>
      </div>
    </div>
  </div>

</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';

  @Component({
    name: 'right-menu',
    components: {},
  })
export default class RightMenu extends Vue {
  menuClicked(value:any) {
    window.alert(value);
  }
}
</script>
<style scoped lang="scss">
  #menu_main_area {
    height: 100%;
    width: 100%;
  }

  .menu-item {
    margin: 0 0;
    margin-top: 2px;
    padding: 0 0;
  }

  .menu-item-center {
    @extend .menu-item;
    margin-left: 2px;
    margin-right: 2px;
  }

  .row {
    margin: 0 2px;
  }

  .menu-btn {
    width: 100%;
    height: 80px;
    padding: 0 0;
    margin: 0 0 !important;
    /*background-color: red;*/
  }

  .black{
    background-color: black;
  }

  .red{
    background-color: red;
  }
</style>
